# MailEncoding Class Reference
[Mail utilities]

Inheritance diagram for MailEncoding:
[legend]

List of all members.

## Static Public Member Functions

static | seven ()
static | eight ()
static | base64 ()
static | quoted ()

## Public Attributes

const | SEVEN_BITS = 0x01
const | EIGHT_BITS = 0x02
const | BASE64 = 0x03
const | QUOTED = 0x04

## Protected Attributes

| $names

## Detailed Description

Definition at line 15 of file MailEncoding.class.php.

## Member Function Documentation

static MailEncoding::base64 | ( |  | ) | `[static]`

Returns:
  MailEncoding

Definition at line 48 of file MailEncoding.class.php.

static MailEncoding::eight | ( |  | ) | `[static]`

Returns:
  MailEncoding

Definition at line 40 of file MailEncoding.class.php.

static MailEncoding::quoted | ( |  | ) | `[static]`

Returns:
  MailEncoding

Definition at line 56 of file MailEncoding.class.php.

static MailEncoding::seven | ( |  | ) | `[static]`

Returns:
  MailEncoding

Definition at line 32 of file MailEncoding.class.php.

Referenced by MimePart::__construct().

## Member Data Documentation

MailEncoding::$names`[protected]`

Initial value:

     array(
                self::SEVEN_BITS    => '7bit',
                self::EIGHT_BITS    => '8bit',
                self::BASE64        => 'base64',
                self::QUOTED        => 'quoted-printable'
            )

Reimplemented from Enumeration.

Definition at line 22 of file MailEncoding.class.php.

const MailEncoding::BASE64 = 0x03

Definition at line 19 of file MailEncoding.class.php.

Referenced by MimePart::getEncodedBody().

const MailEncoding::EIGHT_BITS = 0x02

Definition at line 18 of file MailEncoding.class.php.

Referenced by MimePart::getEncodedBody().

const MailEncoding::QUOTED = 0x04

Definition at line 20 of file MailEncoding.class.php.

Referenced by MimePart::getEncodedBody().

const MailEncoding::SEVEN_BITS = 0x01

Definition at line 17 of file MailEncoding.class.php.

Referenced by MimePart::getEncodedBody().

The documentation for this class was generated from the following file:

- main/Net/Mail/MailEncoding.class.php